// Simple Binary Logit model for mode choice  with socio-economic variables included
// Revealed preference data from Netherland

[Choice]
trip_n

[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC_0        0.0          -100.0     100.0         1
ASC_1         0.0          -100.0     100.0         1
commute_time_         0.0          -100.0     100.0         0
commute_time_var_         0.0          -100.0     100.0         0
age_         0.0          -100.0     100.0         0
income_         0.0          -100.0     100.0         0
work_time_         0.0          -100.0     100.0         0
tau1            0.3          -1000      1000          0
tau2            0.4          -1000      1000          0
tau3            0.5          -1000      1000          0

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
  0     ZERO       one      ASC_0 * one 
  123   MULTIPLE   one      ASC_1 * one  + commute_time_ * commute_time +  commute_time_var_ * commute_time_var + age_ * age + income_ * income + work_time_ * work_time

[OrdinalLogit]
0 $NONE // -infty --> tau1
1 tau1 // tau1 --> tau2
2 tau2 // tau2 --> tau3
3 tau3 // tau3 --> +infty

[LinearConstraints]
tau1 - tau2 <= 0
tau2 - tau3 <= 0

[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data
one =1

[Exclude]
( age == 0 ) || ( commute_time == 0 ) || ( ave_work_time == 0 ) || ( income == 0 )

[Model]
// Currently, only $MNL (multinomial logit), $NL (nested logit), $CNL
// (cross-nested logit), $NGEV (Network GEV model) and $BP (Binary 
// pribit) are valid keywords
$OL



